For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AI agentsStatus PageContact sales
HomeGuidesDeveloper ToolsChangelogsCookbooks
HomeGuidesDeveloper ToolsChangelogsCookbooks
    • Payabli developer overview
    • Developer quickstart
    • Developer testing guide
    • Test accounts
  • API
    • Using the API
    • API responses
    • API changelog
          • POSTCreate payment link from invoice
          • POSTCreate payment link from bill
          • GETGet payment link
          • POSTSend payment link
          • PUTUpdate payment link
          • GETRefresh payment link
          • DELDelete payment link
          • GETEmail payment link
          • POSTGenerate vendor link for lot number
          • PATCHUpdate Pay Out payment link
          • PATCHUpdate Pay Out payment link content
    • Webhooks
  • Embedded Components
    • Overview
    • EmbeddedMethod UI
    • PayMethod UI
    • VirtualTerminal UI
    • ExpressCheckout UI
    • Changelog
  • Server SDKs
    • Server SDKs overview
  • Other tools
    • Postman collection
    • Payabli MCP
    • Example apps

© 2026 Centavo, Inc. All rights reserved | Centavo (DBA Payabli) is a registered Payment Facilitator of PNC Bank, N.A., Pittsburgh, PA. Payabli is a registered ISO/MSP of Merrick Bank, South Jordan, UT.

PayabliTest Cards & AccountsPay In StatusesPay Out StatusesTrust Center
LogoLogo
AI agentsStatus PageContact sales
APICross-product endpointsPayment links

Delete payment link

|View as Markdown|Open in Claude|
DELETE
/PaymentLink/:payLinkId
DELETE
/api/PaymentLink/:payLinkId
$curl -X DELETE https://api-sandbox.payabli.com/api/PaymentLink/2325-XXXXXXX-90b1-4598-b6c7-44cdcbf495d7-1234 \
> -H "requestToken: <apiKey>"
1{
2 "isSuccess": true,
3 "responseText": "Success",
4 "responseData": "2325-XXXXXXX-90b1-4598-b6c7-44cdcbf495d7-1234"
5}
Deletes a payment link by ID.
Was this page helpful?
Previous

Refresh payment link

Next

Generate vendor link for lot number

Authentication

requestTokenstring
API Key authentication via header

Path parameters

payLinkIdstringRequired
ID for the payment link.

Response

Success
isSuccessboolean

Boolean indicating whether the operation was successful. A true value indicates success. A false value indicates failure.

responseTextstring

Response text for operation: ‘Success’ or ‘Declined’.

responseDatastring

If isSuccess = true, this contains the payment link identifier. If isSuccess = false, this contains the reason of the error.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error